%define	upstream_name	 Crypt-CAST5_PP
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	CAST5 block cipher in pure Perl
License:	Artistic/GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch:	noarch


%{?perl_default_filter}

%description
This module provides a pure Perl implementation of the CAST5 block cipher.
CAST5 is also known as CAST-128. It is a product of the CAST design procedure
developed by C. Adams and S. Tavares.

The CAST5 cipher is available royalty-free.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc README META.yml
%{perl_vendorlib}/Crypt/*
%{perl_vendorlib}/auto/Crypt/*
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.40.0-12.mga10
+ Revision: 2198036
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.40.0-11.mga9
+ Revision: 1802637
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-10.mga8
+ Revision: 1493606
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-9.mga7
+ Revision: 1266741
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.40.0-8.mga6
+ Revision: 1024506
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.40.0-7.mga6
+ Revision: 946327
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-6.mga5
+ Revision: 747209
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.40.0-5.mga5
+ Revision: 732997
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 684030
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 510323
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 364829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 29978
- mageia rebuild
- imported package perl-Crypt-CAST5_PP


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 408944
- rebuild using %%perl_convert_version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.04-1mdv2008.1
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 22 2007 Buchan Milne <bgmilne@mandriva.org> 1.04-1mdv2008.0
+ Revision: 42904
- Import perl-Crypt-CAST5_PP



* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 1.04-1mdv2007.1
- initial package
